#!/bin/sh

. install2-init-functions
. shell-config

rdelim='[[:space:]]\+'
wdelim='	'
ahttpd_conf_file=$destdir/etc/ahttpd/ahttpd.conf

ahttpd_conf_set()
{
    shell_config_set "$ahttpd_conf_file" "$1" "$2" "$rdelim" "$wdelim"
}

# replace default control center with special one
ahttpd_conf_set	server-port	443
ahttpd_conf_set	framework-uri	/backup-server/framework
ahttpd_conf_set	login-uri	/backup-server/login
ahttpd_conf_set	logout-uri	/backup-server/logout


# reset settings to default
exec_chroot bacula-reset-settings
